
%define gtk2_version 2.2.0
%define gnome_panel 2.2.0
%define rdesktop_version 1.3.0
%define desktop_file_utils_version 0.4

Summary: Client for VNC and Windows Terminal Server
Name: tsclient
Version: 0.132
Release: 4
URL: http://www.gnomepro.com/tsclient/
Source0: http://www.gnomepro.com/tsclient/%{name}-%{version}.tar.gz
License: GPL
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-root

## we require rdesktop OR vncviewer - lets assume most people want
## this for rdesktop and require that - see bug #114769

Requires: gtk2 >= %{gtk2_version}
Requires: rdesktop >= %{rdesktop_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: gnome-panel-devel >= %{gnome_panel}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}

%description
tsclient is a frontend that makes it easy to use rdesktop and vncviewer.
You will need to install rdesktop or vnc in addition to tsclient.

%prep
%setup -q

%build

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

desktop-file-install --vendor tsclient --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications               \
  --remove-category X-Red-Hat-Base                            \
  --add-category X-Red-Hat-Extra                              \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

perl -pi -e 's/Client Applet/Client/g' $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps
%{_datadir}/application-registry/*.applications
%{_datadir}/mime-info/tsclient*
%{_datadir}/man/man*/*
%{_datadir}/applications/*.desktop

%changelog
* Tue Aug 17 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- fix require lines

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 19 2004 Mark McLoughlin <markmc@redhat.com> 0.132-2
- Add to the menus - bug #99570

* Wed Feb 18 2004 Mark McLoughlin <markmc@redhat.com> 0.132-1
- Update to 0.132
- Add rdesktop dependancy - see bug #114769

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Aug 29 2003 Jeremy Katz <katzj@redhat.com> 0.120-1
- 0.120

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May  1 2003 Elliot Lee <sopwith@redhat.com> 0.104-2
- buildrequires: gnome-panel

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 0.104-1
- 0.104

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Havoc Pennington <hp@redhat.com>
- no word "applet" in the menus

* Wed Jan  8 2003 Jeff Johnson <jbj@redhat.com> 0.76-2
- don't include -debuginfo files in package.

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- 0.76

* Sat Dec 14 2002 Havoc Pennington <hp@redhat.com>
- and 0.74 comes out mere hours later... ;-)

* Sat Dec 14 2002 Havoc Pennington <hp@redhat.com>
- 0.72
- fix description

* Thu Dec 12 2002 Havoc Pennington <hp@redhat.com>
- Initial build.
